Bug 877788 - /dev/input/js0 not created if libmtp installed
/dev/input/js0 not created if libmtp installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 15:18 EST by John Ellson
Modified: 2014-02-05 08:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:08:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2012-11-18 15:18:05 EST
Description of problem:

The /dev/input/js0 device is not being created due to some interaction with libmtp.

Version-Release number of selected component (if applicable):
kernel-3.6.6-9.fc18.x86_64
kernel-modules-extra-3.6.6-9.fc18.x86_64
joystick-1.2.15-28.fc18.x86_64
libmtp-1.1.5-2.fc18.x86_64


How reproducible:
100%

Steps to Reproduce:
1. tail -f /var/log/messages
2. plugin in joystick usb
3.
  
Actual results:
Nov 18 15:01:55 CoolBLU kernel: [  263.795362] usb 1-4.1: new low-speed USB device number 10 using ehci_hcd
Nov 18 15:01:55 CoolBLU kernel: [  263.902236] usb 1-4.1: New USB device found, idVendor=046d, idProduct=c215
Nov 18 15:01:55 CoolBLU kernel: [  263.902240] usb 1-4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Nov 18 15:01:55 CoolBLU kernel: [  263.902242] usb 1-4.1: Product: Logitech Extreme 3D
Nov 18 15:01:55 CoolBLU kernel: [  263.902245] usb 1-4.1: Manufacturer: Logitech
Nov 18 15:01:55 CoolBLU kernel: [  263.927465] input: Logitech Logitech Extreme 3D as /devices/pci0000:00/0000:00:0b.1/usb1/1-4/1-4.1/1-4.1:1.0/input/input11
Nov 18 15:01:55 CoolBLU kernel: [  263.927797] logitech 0003:046D:C215.0006: input,hidraw2: USB HID v1.10 Joystick [Logitech Logitech Extreme 3D] on usb-0000:00:0b.1-4.1/input0
Nov 18 15:01:55 CoolBLU mtp-probe: checking bus 1, device 10: "/sys/devices/pci0000:00/0000:00:0b.1/usb1/1-4/1-4.1"
Nov 18 15:01:55 CoolBLU mtp-probe: bus: 1, device: 10 was not an MTP device
Nov 18 15:01:55 CoolBLU systemd-udevd[2466]: failed to execute '/usr/lib/udev/socket:/org/xen/xend/udev_event' 'socket:/org/xen/xend/udev_event': No such file or directory
Nov 18 15:01:55 CoolBLU systemd-udevd[2467]: failed to execute '/usr/lib/udev/socket:/org/xen/xend/udev_event' 'socket:/org/xen/xend/udev_event': No such file or directory
Nov 18 15:01:58 CoolBLU dbus-daemon[770]: ** Message: No devices in use, exit


Expected results:
creation of a /dev/input/js0

Additional info:
Possibly related:
   <https://bbs.archlinux.org/viewtopic.php?id=119676>
talks about an interaction with libmtp on ArchLinux

Doing:
  rpm -e libmtp rhythmbox
does provide an unsatisfactory workaround.  After removing these packages /dev/input/js0 is created.
Comment 1 Fedora End Of Life 2013-12-21 04:25:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 08:08:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.